Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeDhcpOptionsResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DescribeDhcpOptionsResult

    public class DescribeDhcpOptionsResult

extends Object

Describe Dhcp Options Result

Constructor Summary
`DescribeDhcpOptionsResult()`

Method Summary
`List<DhcpOptions>` | `getDhcpOptions()` Returns the value of the DhcpOptions property for this object.
`void` | `setDhcpOptions(Collection<DhcpOptions> dhcpOptions)` Sets the value of the DhcpOptions property for this object.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeDhcpOptionsResult` | `withDhcpOptions(Collection<DhcpOptions> dhcpOptions)` Sets the value of the DhcpOptions property for this object.
`DescribeDhcpOptionsResult` | `withDhcpOptions(DhcpOptions... dhcpOptions)` Sets the value of the DhcpOptions property for this object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeDhcpOptionsResult

    public DescribeDhcpOptionsResult()

Method Detail

### getDhcpOptions

    public List<DhcpOptions> getDhcpOptions()

  Returns the value of the DhcpOptions property for this object.

  Returns:
    The value of the DhcpOptions property for this object.

### setDhcpOptions

    public void setDhcpOptions(Collection<DhcpOptions> dhcpOptions)

  Sets the value of the DhcpOptions property for this object.

  Parameters:
    `dhcpOptions` - The new value for the DhcpOptions property for this object.

### withDhcpOptions

    public DescribeDhcpOptionsResult withDhcpOptions(DhcpOptions... dhcpOptions)

  Sets the value of the DhcpOptions property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dhcpOptions` - The new value for the DhcpOptions property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withDhcpOptions

    public DescribeDhcpOptionsResult withDhcpOptions(Collection<DhcpOptions> dhcpOptions)

  Sets the value of the DhcpOptions property for this object.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dhcpOptions` - The new value for the DhcpOptions property for this object.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.